Last modified: 2013-12-02 21:48:13 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 55893 - Navigating PDF/DJVU pagination could be improved
Navigating PDF/DJVU pagination could be improved
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
JavaScript (Other open bugs)
1.22.0
All All
: Low enhancement (vote)
: 1.23.0 release
Assigned To: Nobody - You can work on this!
https://commons.wikimedia.org/wiki/Fi...
gci2013
: easy
Depends on: 30713 40207
Blocks: ajax
  Show dependency treegraph
 
Reported: 2013-10-18 19:29 UTC by Bartosz Dziewoński
Modified: 2013-12-02 21:48 UTC (History)
10 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Bartosz Dziewoński 2013-10-18 19:29:34 UTC
Quoth bug 40207 comment 7:
> Open points for future improvement are:
> 
> 1: tracking history (using history.pushState or hash fragment tracking).
> 2: mw.hook notifying about finishing the loading of the page fragment
> 3: using api to do all of it, instead of downloading a full page.
Comment 1 Theopolisme 2013-11-22 03:38:08 UTC
Working on this as part of GCI. Some thoughts and a status update:

1) Mostly implemented, but having a bit of trouble with popstate event handling (specifically, state data disappearing after the back button is clicked 2+ times?) -- will investigate further, but may come back here for guidance.

2) Done.

3) *Thinking* about this. Will require a different approach to #1 as well, but should follow the same basic principles. Will work on tomorrow/over weekend as time permits.
Comment 2 MZMcBride 2013-11-22 04:35:21 UTC
(In reply to comment #1)

Yay! :-)  Thanks for working on this.
Comment 3 Bartosz Dziewoński 2013-11-22 15:43:45 UTC
(In reply to comment #1)
> 1) (…) having a bit of trouble with popstate event handling
> (specifically, state data disappearing after the back button is clicked 2+
> times?) -- will investigate further, but may come back here for guidance.

Let me just note that it will be much easier for everyone to see what's going on if they can see the code :) Submitting incomplete or work-in-progress patches to gerrit is perfectly okay, since you can always change them later.


> 3) *Thinking* about this.

Heh, you're ambitious I see ;) I'm really itching to see what you come up with.
Comment 4 Bartosz Dziewoński 2013-11-22 15:44:55 UTC
Hmm, the task has been claimed by somebody else… :(
Comment 5 Gerrit Notification Bot 2013-11-22 22:33:24 UTC
Change 97125 had a related patch set uploaded by Theopolisme:
Improve PDF/DJVU navigation

https://gerrit.wikimedia.org/r/97125
Comment 6 Theopolisme 2013-11-22 22:38:25 UTC
Made a patch anyways. The more the merrier I suppose...it's not about the specific tasks, it's about improving Wikipedia ;)
Comment 7 Gerrit Notification Bot 2013-11-24 07:33:30 UTC
Change 97363 had a related patch set uploaded by RAZVOR:
nc

https://gerrit.wikimedia.org/r/97363
Comment 8 Thomas Lam 2013-11-25 00:49:45 UTC
I just started working on this and was wondering how to make my local installation of mediawiki have the multipage viewing
Comment 9 Theopolisme 2013-11-25 01:47:54 UTC
@Thomas replied at GCI task.
Comment 10 MZMcBride 2013-11-25 04:17:44 UTC
(In reply to comment #9)
> @Thomas replied at GCI task.

Link?

Broadly, we should probably cross-reference in both directions (Bugzilla <--> GCI), if we're not already doing so.
Comment 12 Gerrit Notification Bot 2013-11-25 19:42:17 UTC
Change 97125 merged by jenkins-bot:
Improve PDF/DJVU navigation

https://gerrit.wikimedia.org/r/97125
Comment 13 Bartosz Dziewoński 2013-11-25 19:48:04 UTC
The first two points from comment 0 are done.

The last point is not done and I'm personally not sure if it's worth doing at all (maybe if we introduce some sane client- and server-side template system into MediaWiki to avoid having two ways of rendering the same thing?), so I'll close this bug. Thanks!
Comment 14 Gerrit Notification Bot 2013-12-02 20:06:10 UTC
Change 97363 abandoned by Brian Wolff:
Improve PDF/DJVU navigation

Reason:
Sorry, but this appears to already be done by someone else in 5e77f391a528d4bc64fc8cfe8065e254427b9ccd

https://gerrit.wikimedia.org/r/97363
Comment 15 Theopolisme 2013-12-02 21:41:21 UTC
The last point is actually fairly impossible without a rewrite of how the API provides media resources (since we're using (~dynamically) generated static graphics files, not the raw pdfs, etc, etc). So, yep, resolved :)
Comment 16 Bawolff (Brian Wolff) 2013-12-02 21:48:13 UTC
(In reply to comment #15)
> The last point is actually fairly impossible without a rewrite of how the API
> provides media resources (since we're using (~dynamically) generated static
> graphics files, not the raw pdfs, etc, etc). So, yep, resolved :)

Actually for pdf files that's not to hard - the imageinfo module will provide urls to the thumbnail, but the general case is hard (e.g. ogg that does js stuff), and I don't think we should do it unless it would work with any potential future formats

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links